<?php
/**
 * Plugin Name:       Car Dealer - Promocode
 * Plugin URI:        http://www.potenzaglobalsolutions.com/
 * Description:       This plugin contains car promocode functionality for "Car Dealer" theme.
 * Version:           1.0.0
 * Author:            Potenza Global Solutions
 * Author URI:        http://www.potenzaglobalsolutions.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cardealer-promocode
 *
 * @package cardealer-promocode
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! defined( 'CDPC_PATH' ) ) {
	define( 'CDPC_PATH', plugin_dir_path( __FILE__ ) );
}
if ( ! defined( 'CDPC_URL' ) ) {
	define( 'CDPC_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'CDPC_VERSION' ) ) {
	define( 'CDPC_VERSION', '1.0.0' );
}

add_action( 'plugins_loaded', 'cdpd_helper_theme_functions_load_textdomain', 0 );
if ( ! function_exists( 'cdpd_helper_theme_functions_load_textdomain' ) ) {
	/**
	 * Load plugin textdomain.
	 *
	 * @since 1.0.0
	 */
	function cdpd_helper_theme_functions_load_textdomain() {
		load_plugin_textdomain( 'cardealer-promocode', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
	}
}

add_action( 'wp_enqueue_scripts', 'cdpc_load_style_script', 10 );
/**
 * Enqueue base scripts and styles.
 *
 * @since 1.0.0
 */
function cdpc_load_style_script() {
	wp_register_script( 'cardealer-promocode', trailingslashit( CDPC_URL ) . 'assets/js/cardealer-promocode.js', array( 'jquery' ), CDPC_VERSION, true );
	wp_localize_script(
		'cardealer-promocode',
		'cdpc',
		array(
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
		)
	);
	wp_enqueue_script( 'cardealer-promocode' );
}

require_once trailingslashit( CDPC_PATH ) . 'includes/cpt/promocode.php';
require_once trailingslashit( CDPC_PATH ) . 'includes/acf-promo-code.php';
require_once trailingslashit( CDPC_PATH ) . 'includes/helper-function.php';
