<?php
/**
 * Register Post Type for promocodes
 *
 * @author  TeamWP @Potenza Global Solutions
 * @package cardealer-promocode
 */

add_action( 'init', 'cdhl_promocodes_cpt', 1 );
if ( ! function_exists( 'cdhl_promocodes_cpt' ) ) {
	/**
	 * Register promocodes cpt
	 */
	function cdhl_promocodes_cpt() {
		$labels = array(
			'name'               => esc_html__( 'Promo Codes', 'cardealer-promocode' ),
			'singular_name'      => esc_html__( 'Promo Codes', 'cardealer-promocode' ),
			'menu_name'          => esc_html__( 'Promo Codes', 'cardealer-promocode' ),
			'name_admin_bar'     => esc_html__( 'Promo Codes', 'cardealer-promocode' ),
			'add_new'            => esc_html__( 'Add New', 'cardealer-promocode' ),
			'add_new_item'       => esc_html__( 'Add New Promo Codes', 'cardealer-promocode' ),
			'new_item'           => esc_html__( 'New Promo Codes', 'cardealer-promocode' ),
			'edit_item'          => esc_html__( 'Edit Promo Codes', 'cardealer-promocode' ),
			'view_item'          => esc_html__( 'View Promo Codes', 'cardealer-promocode' ),
			'all_items'          => esc_html__( 'All Promo Codes', 'cardealer-promocode' ),
			'search_items'       => esc_html__( 'Search Promo Codes', 'cardealer-promocode' ),
			'parent_item_colon'  => esc_html__( 'Parent promo Codes:', 'cardealer-promocode' ),
			'not_found'          => esc_html__( 'No promo Codes found.', 'cardealer-promocode' ),
			'not_found_in_trash' => esc_html__( 'No promo Codes found in Trash.', 'cardealer-promocode' ),
		);

		$args = array(
			'labels'              => $labels,
			'description'         => esc_html__( 'Description.', 'cardealer-promocode' ),
			'public'              => false,
			'publicly_queryable'  => false,
			'show_ui'             => true,
			'show_in_menu'        => false,
			'query_var'           => true,
			'rewrite'             => array( 'slug' => 'promocodes' ),
			'capability_type'     => 'post',
			'exclude_from_search' => true,
			'has_archive'         => false,
			'hierarchical'        => false,
			'menu_position'       => null,
			'supports'            => array( 'title', 'editor' ),
		);

		register_post_type( 'cars_promocodes', $args );
	}
}

if ( ! function_exists( 'cdhl_cpt_promocode_edit_columns' ) ) {
	/**
	 * Edit columns
	 *
	 * @param string $columns .
	 */
	function cdhl_cpt_promocode_edit_columns( $columns = array() ) {

		$new_fields =
			array_slice(
				$columns,
				0,
				2,
				true
			) +
			array(
				'promocode' => esc_html__( 'Promo Code', 'cardealer-promocode' ),
				'status'    => esc_html__( 'Status', 'cardealer-promocode' ),
			) +
			array_slice( $columns, 2, count( $columns ) - 1, true );
		return $new_fields;
	}
	add_filter( 'manage_edit-cars_promocodes_columns', 'cdhl_cpt_promocode_edit_columns' );
}

if ( ! function_exists( 'cdhl_cpt_promocodes_custom_columns' ) ) {
	/**
	 * Custom columns
	 *
	 * @param string $column column.
	 * @param string $post_id post id.
	 */
	function cdhl_cpt_promocodes_custom_columns( $column, $post_id ) {

		switch ( $column ) {
			case 'promocode':
				$promo_code = get_post_meta( $post_id, 'promo_code', true );
				if ( isset( $promo_code ) ) {
					echo esc_html( $promo_code );
				}
				break;
			case 'status':
				$status = get_post_meta( $post_id, 'status', true );
				if ( isset( $status ) ) {
					echo esc_html( ucfirst( $status ) );
				}
				break;
		}

	}
	add_filter( 'manage_posts_custom_column', 'cdhl_cpt_promocodes_custom_columns', 10, 2 );
}
